com.hazelcast.config.matcher

## Class LegacyWildcardConfigPatternMatcher

- java.lang.Object
- - com.hazelcast.config.matcher.LegacyWildcardConfigPatternMatcher

- All Implemented Interfaces:
    ConfigPatternMatcher

  Deprecated.

      @Deprecated
      public class LegacyWildcardConfigPatternMatcher
      extends Object
      implements ConfigPatternMatcher

  This `ConfigPatternMatcher` supports a simplified wildcard matching. See "Config.md ## Using Wildcard" for details about the syntax.

  This matcher represents a "contains" matching to provide backward compatibility. No exception will be thrown if multiple configurations are found (first match is returned).

  Please adapt your configuration and use `WildcardConfigPatternMatcher` instead.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegacyWildcardConfigPatternMatcher()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Deprecated.
    `int` | `hashCode()` Deprecated.
    `String` | `matches(Iterable<String> configPatterns, String itemName)` Deprecated. Returns the best match for an item name out of a list of configuration patterns.
    `boolean` | `matches(String pattern, String itemName)` Deprecated. This method is public to be accessible by `InstancePermission`.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LegacyWildcardConfigPatternMatcher

          public LegacyWildcardConfigPatternMatcher()

      Deprecated.

  - ### Method Detail

    - #### matches

          public String matches(Iterable<String> configPatterns,
                                String itemName)

      Deprecated.
      Description copied from interface: `ConfigPatternMatcher`
      Returns the best match for an item name out of a list of configuration patterns.
      Specified by:
        `matches` in interface `ConfigPatternMatcher`
      Parameters:
        `configPatterns` - list of configuration patterns
        `itemName` - item name to match
      Returns:
        a key of configPatterns which matches the item name or `null` if nothing matches

    - #### matches

          public boolean matches(String pattern,
                                 String itemName)

      Deprecated.
      This method is public to be accessible by `InstancePermission`.
      Parameters:
        `pattern` - configuration pattern to match with
        `itemName` - item name to match
      Returns:
        `true` if itemName matches, `false` otherwise

    - #### equals

          public boolean equals(Object o)

      Deprecated.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`

Copyright © 2020. All rights reserved.